﻿using System;
using System.ComponentModel.DataAnnotations;

namespace VaccineRegistration.Persistence
{
    public class Reservation
    {
        [Key] public int Id { get; set; }

        [Required]
        [StringLength(100)]
        public string FullName { get; set; }

        /// <summary>
        /// TAJ szám.
        /// </summary>
        [Required]
        [StringLength(9)]
        public string SocialSecurityNumber { get; set; }

        [Required]
        public Hospital Hospital { get; set; }

        [Required]
        public Vaccine Vaccine { get; set; }

        [Required]
        [DataType(DataType.Date)]
        public DateTime Day { get; set; }
    }
}
